Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveManager.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveManager.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/SlaveManager.cs	(revision 4253)
@@ -0,0 +1,220 @@
+#region License Information
+
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.Interfaces;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Contracts;
+using HeuristicLab.Hive.Server.DataAccess;
+using HeuristicLab.DataAccess.Interfaces;
+using HeuristicLab.Hive.Server.LINQDataAccess;
+using ClientGroup=HeuristicLab.Hive.Contracts.BusinessObjects.ClientGroupDto;
+
+namespace HeuristicLab.Hive.Server.Core {
+  internal class SlaveManager : ISlaveManager {
+    private List<ClientGroup> clientGroups;
+
+    public SlaveManager() {
+      clientGroups = new List<ClientGroup>();
+    }
+
+    #region IClientManager Members
+
+    /// <summary>
+    /// Returns all clients stored in the database
+    /// </summary>
+    /// <returns></returns>
+    public ResponseList<ClientDto> GetAllClients() {
+      ResponseList<ClientDto> response = new ResponseList<ClientDto>();
+
+      response.List = new List<ClientDto>(DaoLocator.ClientDao.FindAll());
+      response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_GET_ALL_CLIENTS;
+      response.Success = true;
+
+      return response;
+    }
+
+    /// <summary>
+    /// returns all client groups stored in the database
+    /// </summary>
+    /// <returns></returns>
+    public ResponseList<ClientGroup> GetAllClientGroups() {
+      ResponseList<ClientGroup> response = new ResponseList<ClientGroup>();
+
+      List<ClientGroup> allClientGroups =
+        new List<ClientGroup>(DaoLocator.ClientGroupDao.FindAllWithSubGroupsAndClients());
+      ClientGroup emptyClientGroup = new ClientGroup();
+      IEnumerable<ClientDto> groupLessClients = DaoLocator.ClientDao.FindAllClientsWithoutGroup();
+      if (groupLessClients != null) {
+        foreach (ClientDto currClient in groupLessClients) {
+          emptyClientGroup.Resources.Add(currClient);
+        }
+      }
+      emptyClientGroup.Id = Guid.Empty;
+      allClientGroups.Add(emptyClientGroup);
+
+      response.List = allClientGroups;
+      response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_GET_ALL_CLIENTGROUPS;
+      response.Success = true;
+
+      return response;
+    }
+
+    public ResponseList<UpTimeStatisticsDto> GetAllUpTimeStatistics() {
+      ResponseList<UpTimeStatisticsDto> response = new ResponseList<UpTimeStatisticsDto>();
+      response.Success = true;
+      return response;
+    }
+
+    /// <summary>
+    /// Add a client group into the database
+    /// </summary>
+    /// <param name="clientGroup"></param>
+    /// <returns></returns>
+    public ResponseObject<ClientGroup> AddClientGroup(ClientGroup clientGroup) {
+      ResponseObject<ClientGroup> response = new ResponseObject<ClientGroup>();
+
+      if (clientGroup.Id != Guid.Empty) {
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_ID_MUST_NOT_BE_SET;
+      }
+      else {
+        clientGroup = DaoLocator.ClientGroupDao.Insert(clientGroup);
+        //clientGroupAdapter.Update(clientGroup);
+        response.Obj = clientGroup;
+        response.Success = true;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_ADDED;
+      }
+
+      return response;
+    }
+
+    /// <summary>
+    ///  Add a resource to a group
+    /// </summary>
+    /// <param name="clientGroupId"></param>
+    /// <param name="resource"></param>
+    /// <returns></returns>
+    public Response AddResourceToGroup(Guid clientGroupId, ResourceDto resource) {
+      Response response = new Response();
+
+      ClientGroup clientGroup = DaoLocator.ClientGroupDao.FindById(clientGroupId);
+      if (clientGroup == null) {
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DOESNT_EXIST;
+        return response;
+      }
+
+      clientGroup.Resources.Add(resource);
+      DaoLocator.ClientGroupDao.AddRessourceToClientGroup(resource.Id, clientGroup.Id);
+
+      //If our resource is in fact a client => set the callendar from the resource as current one.
+      
+      ClientDto dbr = DaoLocator.ClientDao.FindById(resource.Id);
+      if(dbr != null) {
+        DaoLocator.ClientDao.SetServerSideCalendar(dbr, clientGroup.Id);  
+      }
+
+      response.Success = true;
+      response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_RESOURCE_ADDED_TO_GROUP;
+
+      return response;
+    }
+
+    /// <summary>
+    /// Remove a resource from a group
+    /// </summary>
+    /// <param name="clientGroupId"></param>
+    /// <param name="resourceId"></param>
+    /// <returns></returns>
+    public Response DeleteResourceFromGroup(Guid clientGroupId, Guid resourceId) {
+      Response response = new Response();
+
+      ClientGroup clientGroup = DaoLocator.ClientGroupDao.FindById(clientGroupId);
+      if (clientGroup == null) {
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DOESNT_EXIST;
+        return response;
+      }
+     
+      DaoLocator.ClientGroupDao.RemoveRessourceFromClientGroup(resourceId, clientGroup.Id);
+      
+      response.Success = true;
+      response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_RESOURCE_REMOVED;
+      return response;                
+    }
+
+    public ResponseObject<ClientGroupDtoList> GetAllGroupsOfResource(Guid resourceId) {
+      ResponseObject<ClientGroupDtoList> response = new ResponseObject<ClientGroupDtoList>();
+
+      ClientDto client = DaoLocator.ClientDao.FindById(resourceId);
+      if (client != null) {
+        ClientGroupDtoList groupsOfClient = new ClientGroupDtoList(DaoLocator.ClientGroupDao.MemberOf(client));
+        response.Obj = groupsOfClient;
+        response.Success = true;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_GET_GROUPS_OF_CLIENT;
+      }
+      else {
+        response.Obj = new ClientGroupDtoList();
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_RESOURCE_NOT_FOUND;
+      }
+
+      return response;
+    }
+
+    public Response DeleteClientGroup(Guid clientGroupId) {
+      Response response = new Response();
+
+      ClientGroup clientGroup = DaoLocator.ClientGroupDao.FindById(clientGroupId);
+      if (clientGroup == null) {
+        response.Success = false;
+        response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DOESNT_EXIST;
+        return response;
+      }
+
+      DaoLocator.ClientGroupDao.Delete(clientGroup);
+
+      response.Success = true;
+      response.StatusMessage = ApplicationConstants.RESPONSE_CLIENT_CLIENTGROUP_DELETED;
+      return response;
+    }
+
+    public ResponseList<AppointmentDto> GetUptimeCalendarForResource(Guid guid) {
+      ResponseList<AppointmentDto> response = new ResponseList<AppointmentDto>();
+      response.List = new List<AppointmentDto>(DaoLocator.UptimeCalendarDao.GetUptimeCalendarForResource(guid));
+      response.Success = true;
+      return response;
+    }
+
+    public Response SetUptimeCalendarForResource(Guid guid, IEnumerable<AppointmentDto> appointments, bool isForced) {
+      DaoLocator.UptimeCalendarDao.SetUptimeCalendarForResource(guid, appointments);
+      DaoLocator.UptimeCalendarDao.NotifyClientsOfNewCalendar(guid, isForced);
+      return new Response {Success = true};
+    }
+    #endregion
+ }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/IJobDao.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/IJobDao.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/IJobDao.cs	(revision 4253)
@@ -7,9 +7,9 @@
 namespace HeuristicLab.Hive.Server.DataAccess {
   public interface IJobDao: IGenericDao<JobDto> {
-    IEnumerable<JobDto> FindActiveJobsOfClient(ClientDto client);
+    IEnumerable<JobDto> FindActiveJobsOfSlave(ClientDto slave);
 
     IEnumerable<JobDto> GetJobsByState(State state);
 
-    void AssignClientToJob(Guid clientId, Guid jobId);
+    void AssignSlaveToJob(Guid slaveId, Guid jobId);
 
     void SetJobOffline(JobDto job);
@@ -19,5 +19,5 @@
     byte[] GetBinaryJobFile(Guid jobId); 
 
-    IEnumerable<JobDto> FindFittingJobsForClient(State state, int freeCores, int freeMemory, Guid clientGuid);
+    IEnumerable<JobDto> FindFittingJobsForSlave(State state, int freeCores, int freeMemory, Guid slaveGuid);
     Stream GetSerializedJobStream(Guid jobId);
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/JobDao.cs	(revision 4253)
@@ -93,5 +93,5 @@
     }
 
-    public IEnumerable<JobDto> FindActiveJobsOfClient(ClientDto client) {
+    public IEnumerable<JobDto> FindActiveJobsOfSlave(ClientDto client) {
       return (from j in Context.Jobs
               where (j.JobState == Enum.GetName(typeof (State), State.Calculating) ||
@@ -103,5 +103,5 @@
     }
 
-    public IEnumerable<JobDto> FindFittingJobsForClient(State state, int freeCores, int freeMemory, Guid clientId) {
+    public IEnumerable<JobDto> FindFittingJobsForSlave(State state, int freeCores, int freeMemory, Guid clientId) {
       ClientGroupDao cgd = new ClientGroupDao();
       
@@ -126,5 +126,5 @@
     }
 
-    public void AssignClientToJob(Guid clientId, Guid jobId) {
+    public void AssignSlaveToJob(Guid clientId, Guid jobId) {
       Client c = Context.Resources.OfType<Client>().SingleOrDefault(client => client.ResourceId.Equals(clientId));
       Job j = Context.Jobs.SingleOrDefault(job => job.JobId.Equals(jobId));
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4253)
@@ -65,5 +65,5 @@
       string curServiceHost = "";
       Uri uriTcp;
-      IClientFacade clientCommunicatorInstance = ApplicationManager.Manager.GetInstances<IClientFacade>().First();
+      ISlaveFacade clientCommunicatorInstance = ApplicationManager.Manager.GetInstances<ISlaveFacade>().First();
       IServerConsoleFacade serverConsoleInstance = ApplicationManager.Manager.GetInstances<IServerConsoleFacade>().First();
       IExecutionEngineFacade executionEngineInstance = ApplicationManager.Manager.GetInstances<IExecutionEngineFacade>().First();
@@ -78,5 +78,5 @@
           //serviceHost = new ServiceHost(typeof(ClientFacade), uriTcp);
           //serviceHost = new SpringServiceHost("clientFacade", uriTcp);
-          serviceHost.AddServiceEndpoint(typeof(IClientFacade), streamedBinding, STR_ClientCommunicator);
+          serviceHost.AddServiceEndpoint(typeof(ISlaveFacade), streamedBinding, STR_ClientCommunicator);
 
           ServiceDebugBehavior sdb = serviceHost.Description.Behaviors.Find<ServiceDebugBehavior>();
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLab.Hive.Slave.Common-3.3.csproj	(revision 4253)
@@ -9,6 +9,6 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Hive.Client.Common</RootNamespace>
-    <AssemblyName>HeuristicLab.Hive.Client.Common-3.3</AssemblyName>
+    <RootNamespace>HeuristicLab.Hive.Slave.Common</RootNamespace>
+    <AssemblyName>HeuristicLab.Hive.Slave.Common-3.3</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -118,5 +118,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="HeuristicLabHiveClientCommonPlugin.cs" />
+    <Compile Include="HeuristicLabHiveSlaveCommonPlugin.cs" />
     <Compile Include="MessageQueue.cs" />
     <Compile Include="NetworkEnum.cs" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLabHiveSlaveCommonPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLabHiveSlaveCommonPlugin.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/HeuristicLabHiveSlaveCommonPlugin.cs	(revision 4253)
@@ -0,0 +1,37 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Common {
+  [Plugin("HeuristicLab.Hive.Slave.Common", "3.3")]
+  [PluginFile("HeuristicLab.Hive.Slave.Common-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  public class HeuristicLabHiveSlaveCommonPlugin: PluginBase {
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/MessageQueue.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/MessageQueue.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/MessageQueue.cs	(revision 4253)
@@ -26,5 +26,5 @@
 using HeuristicLab.Hive.Contracts;
 
-namespace HeuristicLab.Hive.Client.Common {
+namespace HeuristicLab.Hive.Slave.Common {
 
   /// <summary>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/NetworkEnum.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/NetworkEnum.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/NetworkEnum.cs	(revision 4253)
@@ -25,5 +25,5 @@
 using System.Text;
 
-namespace HeuristicLab.Hive.Client.Common {
+namespace HeuristicLab.Hive.Slave.Common {
   public class NetworkEnum {
     public enum WcfConnState { Connected, Disconnected, Failed, Loggedin }  
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/Properties/AssemblyInfo.frame	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Common/3.3/Properties/AssemblyInfo.frame	(revision 4253)
@@ -29,5 +29,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Hive.Client.Common")]
+[assembly: AssemblyTitle("HeuristicLab.Hive.Slave.Common")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLab.Hive.Slave.Communication-3.3.csproj	(revision 4253)
@@ -9,6 +9,6 @@
     <OutputType>Library</OutputType>
     <AppDesignerFolder>Properties</AppDesignerFolder>
-    <RootNamespace>HeuristicLab.Hive.Client.Communication</RootNamespace>
-    <AssemblyName>HeuristicLab.Hive.Client.Communication-3.3</AssemblyName>
+    <RootNamespace>HeuristicLab.Hive.Slave.Communication</RootNamespace>
+    <AssemblyName>HeuristicLab.Hive.Slave.Communication-3.3</AssemblyName>
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
@@ -82,4 +82,5 @@
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll</HintPath>
     </Reference>
+    <Reference Include="HeuristicLab.DataAccess-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
@@ -108,5 +109,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="HeuristicLabHiveClientCommunicationPlugin.cs" />
+    <Compile Include="HeuristicLabHiveSlaveCommunicationPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="SendJobCompletedEventArgs.cs" />
@@ -152,15 +153,11 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
-      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
-      <Name>HeuristicLab.DataAccess-3.3</Name>
-    </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Hive.Client.Common\3.3\HeuristicLab.Hive.Client.Common-3.3.csproj">
-      <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
-      <Name>HeuristicLab.Hive.Client.Common-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
       <Name>HeuristicLab.Hive.Contracts-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Hive.Slave.Common\3.3\HeuristicLab.Hive.Slave.Common-3.3.csproj">
+      <Project>{89F4BC52-C174-481E-9BD2-3814171020E8}</Project>
+      <Name>HeuristicLab.Hive.Slave.Common-3.3</Name>
     </ProjectReference>
   </ItemGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/HeuristicLabHiveSlaveCommunicationPlugin.cs	(revision 4253)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Slave.Communication {
+
+  [Plugin("HeuristicLab.Hive.Slave.Communication", "3.3")]
+  [PluginFile("HeuristicLab.Hive.Slave.Communication-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Slave.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
+  public class HeuristicLabHiveSlaveCommunicationPlugin : PluginBase {
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Properties/AssemblyInfo.frame	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Properties/AssemblyInfo.frame	(revision 4253)
@@ -28,5 +28,5 @@
 // set of attributes. Change these attribute values to modify the information
 // associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.Hive.Client.Communication")]
+[assembly: AssemblyTitle("HeuristicLab.Hive.Slave.Communication")]
 [assembly: AssemblyDescription("")]
 [assembly: AssemblyConfiguration("")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/SendJobCompletedEventArgs.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/SendJobCompletedEventArgs.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/SendJobCompletedEventArgs.cs	(revision 4253)
@@ -21,5 +21,5 @@
 using System;
 
-namespace HeuristicLab.Hive.Client.Communication.ServerService {
+namespace HeuristicLab.Hive.Slave.Communication.ServerService {
   public partial class SendJobCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
 
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/Reference.cs	(revision 4253)
@@ -9,6 +9,61 @@
 //------------------------------------------------------------------------------
 
-namespace HeuristicLab.Hive.Client.Communication.ServerService {
-    
+namespace HeuristicLab.Hive.Slave.Communication.ServerService {
+    using System.Runtime.Serialization;
+    using System;
+    
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
+    [System.Runtime.Serialization.DataContractAttribute(Name="PersistableObject", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.DataAccess")]
+    [System.SerializableAttribute()]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.ClientConfigDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.JobDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.HivePluginInfoDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.ProjectDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.AppointmentDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.ResourceDto))]
+    [System.Runtime.Serialization.KnownTypeAttribute(typeof(HeuristicLab.Hive.Contracts.BusinessObjects.ClientDto))]
+    public partial class PersistableObject : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
+        
+        [System.NonSerializedAttribute()]
+        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+        
+        [System.Runtime.Serialization.OptionalFieldAttribute()]
+        private System.Guid IdField;
+        
+        [global::System.ComponentModel.BrowsableAttribute(false)]
+        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
+            get {
+                return this.extensionDataField;
+            }
+            set {
+                this.extensionDataField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Guid Id {
+            get {
+                return this.IdField;
+            }
+            set {
+                if ((this.IdField.Equals(value) != true)) {
+                    this.IdField = value;
+                    this.RaisePropertyChanged("Id");
+                }
+            }
+        }
+        
+        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
+        
+        protected void RaisePropertyChanged(string propertyName) {
+            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
+            if ((propertyChanged != null)) {
+                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
+            }
+        }
+    }
     
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
@@ -150,5 +205,5 @@
     
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
-    public interface IClientFacadeChannel : HeuristicLab.Hive.Client.Communication.ServerService.IClientFacade, System.ServiceModel.IClientChannel {
+    public interface IClientFacadeChannel : HeuristicLab.Hive.Slave.Communication.ServerService.IClientFacade, System.ServiceModel.IClientChannel {
     }
     
@@ -421,5 +476,5 @@
     [System.Diagnostics.DebuggerStepThroughAttribute()]
     [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
-    public partial class ClientFacadeClient : System.ServiceModel.ClientBase<HeuristicLab.Hive.Client.Communication.ServerService.IClientFacade>, HeuristicLab.Hive.Client.Communication.ServerService.IClientFacade {
+    public partial class ClientFacadeClient : System.ServiceModel.ClientBase<HeuristicLab.Hive.Slave.Communication.ServerService.IClientFacade>, HeuristicLab.Hive.Slave.Communication.ServerService.IClientFacade {
         
         private BeginOperationDelegate onBeginLoginDelegate;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4252)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4253)
@@ -26,5 +26,5 @@
 using System.ServiceModel;
 using HeuristicLab.Hive.Contracts.Interfaces;
-using HeuristicLab.Hive.Client.Common;
+using HeuristicLab.Hive.Slave.Common;
 using HeuristicLab.PluginInfrastructure;
 using System.IO;
@@ -34,7 +34,7 @@
 using HeuristicLab.Hive.Contracts.BusinessObjects;
 
-namespace HeuristicLab.Hive.Client.Communication {
-  using Service = HeuristicLab.Hive.Client.Communication.ServerService;
-  using HeuristicLab.Hive.Client.Communication.ServerService;
+namespace HeuristicLab.Hive.Slave.Communication {
+  using Service = HeuristicLab.Hive.Slave.Communication.ServerService;
+  using HeuristicLab.Hive.Slave.Communication.ServerService;
 
   /// <summary>
